Installation Brique - ERR Image download failed

Bonjour,

Je souhaitais faire une ré-install de ma brique mais visiblement impossible de se connecter au serveur pour télécharger l’image ! En détail :

[INFO] Option -s was not set, starting Assisted Block Device Detection

  1. Please, remove the target SD card from your computer if present, then press Enter
  2. Please, plug the target SD card into your computer (and don’t touch to other devices), then press Enter

Block device /dev/mmcblk0 found. Use it as your SD card block device? (yes/no) yes
[INFO] Option -s was set to /dev/mmcblk0
[INFO] This script needs a sudo access
[INFO] Unmounting SD card partitions
[INFO] Downloading Debian/YunoHost image (HTTPS)
[INFO] Image file: internetcube-stretch-latest-lime.img.tar.xz
#=#=#
curl: (22) The requested URL returned error: 404 Not Found
[ERR] Image download failed

J’ai lancé cette ligne de commande (qui me parait bonne…):

sudo bash ‘/home/pclinux/Bureau/install-sd.sh’ -y ‘/home/pclinux/Bureau/install.hypercube’

C’est pour une LIME1 ou une LIME2 ?

Je vois que sur https://repo.labriqueinter.net/ il n’y a que des images pour LIME2.

Si tu dispose d’une Olimex LIME2 tu peux juste ajouter -2 à ta ligne de commande.

Ceci dit, je ne sais pas pourquoi il n’y a pas d’autres images disponible pour le moment.

C’est une LIME1

Alors tu peux trouver les images ici: https://repo.labriqueinter.net/images/

Et télécharger les deux fichiers suivants sur ton Bureau (par exemple, ce sont les deux plus récents actuellement disponibles pour une lime1. Ils ne sont pas en stretch mais en jessie. Ça veut dire qu’il faudra faire la migration vers stretch après l’installation)

Tu pourras spécifier ces deux fichiers dans ton script.

sudo bash /home/pclinux/Bureau/install-sd.sh -y /home/pclinux/Bureau/install.hypercube -2 -f /home/pclinux/Bureau/labriqueinternet_A20LIME_2017-09-06_jessie.img.tar.xz -g /home/pclinux/Bureau/labriqueinternet_A20LIME_2017-09-06_jessie.img.tar.xz.asc

Ces options sont visibles si tu fais ./install-sd.sh --help.

Bonjour,

Le script actuellement présent ici : https://install.labriqueinter.net/#installation doit-il être mis à jour ?

En indiquant LIME2 on obtient l’erreur suivante :

[INFO] Image file: internetcube-stretch-latest-lime.img.tar.xz

curl: (22) The requested URL returned error: 404 Not Found
[ERR] Image download failed

Salut jef, oui en effet la procédure d’installation doit être mise à jour.
Il y a une proposition de mise à jour ici: https://github.com/labriqueinternet/install.labriqueinter.net/pull/3 qui devrait être installée dans pas longtemps.

Je suis actuellement en train de tester une image (.img) de Lime1. J’espère pouvoir finir les tests et la publier sur le repo.labriqueinter.net ce weekend.

Merci,

@jef, les nouvelles images lime sont disponibles: https://repo.labriqueinter.net/
Ces images incluent déjà les scripts hypercube, donc il ne faut plus utiliser install-sd.sh. Pour lancer l’installation avec ton fichier .hypercube, il faut démarrer ta Brique avec le fichier .hypercube sur une clef USB branchée.

Pour les autres, c’est en cours de documentation :slight_smile:

3 Likes